# ApplicationFramework
TKPLCAF
PDocStd

# PDocStd_Document Class Reference

`#include <PDocStd_Document.hxx>`

Inheritance diagram for PDocStd_Document:

[legend]

## Public Member Functions

Standard_EXPORT | PDocStd_Document ()
Standard_EXPORT | PDocStd_Document (const Handle(PDF_Data)&data)
Standard_EXPORT void | SetData (const Handle(PDF_Data)&data)
Standard_EXPORT Handle_PDF_Data | GetData () const
| PDocStd_Document (const Storage_stCONSTclCOM &a)
| Handle (PDF_Data) _CSFDB_GetPDocStd_DocumentmyData() const
void | _CSFDB_SetPDocStd_DocumentmyData (const Handle(PDF_Data)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PDF_Data | myData

## Constructor & Destructor Documentation

Standard_EXPORT PDocStd_Document::PDocStd_Document | ( |  | ) |

Standard_EXPORT PDocStd_Document::PDocStd_Document | ( | const Handle(PDF_Data)& | data | ) |

PDocStd_Document::PDocStd_Document | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDocStd_Document::_CSFDB_SetPDocStd_DocumentmyData | ( | const Handle(PDF_Data)& | p | ) | `[inline]`

Standard_EXPORT Handle_PDF_Data PDocStd_Document::GetData | ( |  | ) | const

Standard_EXPORT const PDocStd_Document::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PCDM_Document.

PDocStd_Document::Handle | ( | PDF_Data |  | ) | const`[inline]`

Standard_EXPORT void PDocStd_Document::SetData | ( | const Handle(PDF_Data)& | data | ) |

## Field Documentation

Handle_PDF_Data PDocStd_Document::myData `[private]`

The documentation for this class was generated from the following file:

- PDocStd_Document.hxx